TOWLOWER(3)

NAME
towlower, towlower_l, towupper, towupper_l - wide-character case letter conversion utilities

SYNOPSIS
#include <wctype.h>
wint_t
towlower(wint_t wc);
wint_t
towlower_l(wint_t wc, locale_t locale);
wint_t
towupper(wint_t wc);
wint_t
towupper_l(wint_t wc, locale_t locale);

DESCRIPTION
The towlower() and towlower_l() functions convert an upper-case wide character to the corresponding lower-case letter. The towupper() and towupper_l() functions convert a lower-case wide character to the corresponding upper-case letter.

The functions towlower_l() and towupper_l() use the specified locale, whereas towlower() and towupper() use the thread-specific locale set with uselocale(3), falling back to the global locale set with setlocale(3).

RETURN VALUES
These functions return the corresponding character, if any. Otherwise, wc is returned unchanged.

SEE ALSO
iswlower(3), tolower(3), toupper(3), towctrans(3)

STANDARDS
The functions towlower() and towupper() conform to isoC-amd1 and isoC-99, and towlower_l() and towupper_l() to p1003.1-2008.

HISTORY
The functions towlower() and towupper() have been available since OpenBSD 3.8, and towlower_l() and towupper_l() since OpenBSD 6.2.